Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.security.role.mapper
Class RoleMapperIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<RoleMapperID>
              com.bea.portal.tools.security.role.mapper.RoleMapperIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class RoleMapperIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<RoleMapperID>

Builds and parses `RoleMapperID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`RoleMapperIDBuilder()` Constructor.

Method Summary
`RoleMapperID` | `createResourceID()` Create the `RoleMapperID`.
`String` | `getName()` Get the name of the role mapper.
`String` | `getVersion()` Get the version of the role mapper.
`RoleMapperIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`RoleMapperIDBuilder` | `setName(String name)` Change the name of the role mapper.
`RoleMapperIDBuilder` | `setVersion(String version)` Change the version of the role mapper.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleMapperIDBuilder

    public RoleMapperIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public RoleMapperIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<RoleMapperID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getName

    public String getName()

  Get the name of the role mapper.

  Returns
    the name of the role mapper

### setName

    public RoleMapperIDBuilder setName(String name)

  Change the name of the role mapper.

  Parameters
    `name` - the name of the role mapper
  Returns
    this `RoleMapperIDBuilder`

### getVersion

    public String getVersion()

  Get the version of the role mapper.

  Returns
    the version of the role mapper

### setVersion

    public RoleMapperIDBuilder setVersion(String version)

  Change the version of the role mapper.

  Parameters
    `version` - the version of the role mapper
  Returns
    this `RoleMapperIDBuilder`

### createResourceID

    public RoleMapperID createResourceID()

  Create the `RoleMapperID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<RoleMapperID>`
  Returns
    the `RoleMapperID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.